using HardwareShopDataModels.Enums;
using HardwareShopDataModels.Models;
using System.ComponentModel;
namespace HardwareShopContracts.ViewModels
{
    public class PurchaseViewModel : IPurchaseModel
    {
        public int Id { get; set; }

        [DisplayName("Цена")]
        public double Sum { get; set; }

        [DisplayName("Статус покупки")]
        public PurchaseStatus PurchaseStatus { get; set; } = PurchaseStatus.Неизвестен;

        [DisplayName("Дата оплаты")]
        public DateTime? DatePurchase { get; set; }

        public int UserId { get; set; }

        [DisplayName("Логин пользователя")]
        public string UserLogin { get; set; } = string.Empty;

        public Dictionary<int, (IGoodModel, int)> PurchaseGoods { get; set; } = new();
    }
}
